CombinedNameValuePairs Class Reference

Combines two sets of NameValuePairs. More...

`#include <algparam.h>`

Inheritance diagram for CombinedNameValuePairs:

## Public Member Functions

| CombinedNameValuePairs (const NameValuePairs &pairs1, const NameValuePairs &pairs2)
| Construct a CombinedNameValuePairs.
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const
| Get a named value.
Public Member Functions inherited from NameValuePairs
template<class T >
bool | GetThisObject (T &object) const
| Get a copy of this object or subobject.
template<class T >
bool | GetThisPointer (T *&ptr) const
| Get a pointer to this object.
template<class T >
bool | GetValue (const char *name, T &value) const
| Get a named value.
template<class T >
T | GetValueWithDefault (const char *name, T defaultValue) const
| Get a named value.
CRYPTOPP_DLL std::string | GetValueNames () const
| Get a list of value names that can be retrieved.
CRYPTOPP_DLL bool | GetIntValue (const char *name, int &value) const
| Get a named value with type int.
CRYPTOPP_DLL int | GetIntValueWithDefault (const char *name, int defaultValue) const
| Get a named value with type int, with default.
CRYPTOPP_DLL bool | GetWord64Value (const char *name, word64 &value) const
| Get a named value with type word64.
CRYPTOPP_DLL word64 | GetWord64ValueWithDefault (const char *name, word64 defaultValue) const
| Get a named value with type word64, with default.
template<class T >
void | GetRequiredParameter (const char *className, const char *name, T &value) const
| Retrieves a required name/value pair.
CRYPTOPP_DLL void | GetRequiredIntParameter (const char *className, const char *name, int &value) const
| Retrieves a required name/value pair.

## Additional Inherited Members

Static Public Member Functions inherited from NameValuePairs
static CRYPTOPP_DLL void | ThrowIfTypeMismatch (const char *name, const std::type_info &stored, const std::type_info &retrieving)
| Ensures an expected name and type is present.

## Detailed Description

Combines two sets of NameValuePairs.

CombinedNameValuePairs allows you to provide two sets of of NameValuePairs. If a name is not found in the first set, then the second set is searched for the name and value pair. The second set of NameValuePairs often provides default values.

Definition at line 128 of file algparam.h.

## Constructor & Destructor Documentation

## CombinedNameValuePairs()

CombinedNameValuePairs::CombinedNameValuePairs | ( | const NameValuePairs & | pairs1,
|  | const NameValuePairs & | pairs2
| ) |  |

inline

Construct a CombinedNameValuePairs.

Parameters

  pairs1 | reference to the first set of NameValuePairs
  pairs2 | reference to the second set of NameValuePairs

Definition at line 134 of file algparam.h.

## Member Function Documentation

## GetVoidValue()

bool CombinedNameValuePairs::GetVoidValue | ( | const char * | name,
|  | const std::type_info & | valueType,
|  | void * | pValue
| ) |  | const

virtual

Get a named value.

Parameters

  name | the name of the object or value to retrieve
  valueType | reference to a variable that receives the value
  pValue | void pointer to a variable that receives the value

Returns
  true if the value was retrieved, false otherwise

GetVoidValue() retrieves the value of name if it exists.

Note
  GetVoidValue() is an internal function and should be implemented by derived classes. Users should use one of the other functions instead.

See also
  GetValue(), GetValueWithDefault(), GetIntValue(), GetIntValueWithDefault(), GetRequiredParameter() and GetRequiredIntParameter()

Implements NameValuePairs.

The documentation for this class was generated from the following file:

- algparam.h